package cd.casic.ci.process.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
public enum PiplineTargetTypeEnum {
    SOURCE_CODE("1","源程序"),
    BIN("2","二进制"),
    FIRM_WARE("3","二进制"),
    WEB_SITE("4","web网站")
    ;
    private final String code;
    private final String msg;

    PiplineTargetTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public static Map<String,PiplineTargetTypeEnum> getCodeMap(){
        Map<String,PiplineTargetTypeEnum> map = new HashMap<>();
        for (PiplineTargetTypeEnum value : values()) {
            map.put(value.code, value);
        }
        return map;
    }
}
